﻿@model MyTube.ViewModels.VideoModels.CreateVM
@{
    ViewBag.Title = "Add";
    Layout = "~/Views/Shared/_shared.cshtml";
}
    <fieldset>
        <legend>Add Video</legend>

        <form action="/Video/Add" method="post">
            <div class="grid">
                <div class="row">
                    <div class="col-1">
                        @Html.LabelFor(m => m.Title)
                    </div>
                    <div class="col-2">
                        @Html.TextBoxFor(m => m.Title)
                    </div>
                    <div class="col-2">
                        @Html.ValidationMessageFor(m => m.Title)
                    </div>
                </div>
                <div class="row">
                    <div class="col-1">
                        @Html.LabelFor(m => m.Link)
                    </div>
                    <div class="col-2">
                        @Html.TextBoxFor(m => m.Link)
                    </div>
                    <div class="col-3">
                        @Html.ValidationMessageFor(m => m.Link)
                    </div>
                    <div class="col-3">
                        @Html.ValidationMessage("VideoCreateError")
                    </div>
                </div>
                    <div class="col-3">
                        <input class="right" type="submit" value="Add" />
                    </div>
            </div> 
        </form>
    </fieldset>

